Index: svn/src/mainboard/msi/ms9185/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9185/get_bus_conf.c
+++ svn/src/mainboard/msi/ms9185/get_bus_conf.c
@@ -108,12 +108,12 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE >= CONFIG_HT_CHAIN_UNITID_BASE
                        m->bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                        m->bus_isa++;
-                       printk(BIOS_DEBUG, "bus_isa=%d\n",m->bus_isa);
+                       printk(DEBUG, "bus_isa=%d\n",m->bus_isa);
 #endif
                }
         }
        else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_bcm5785_0, sysconf.sbdn);
+                printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_bcm5785_0, sysconf.sbdn);
         }
 
                /* bcm5780 */
@@ -124,12 +124,12 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE < CONFIG_HT_CHAIN_UNITID_BASE
                         m->bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                         m->bus_isa++;
-                      printk(BIOS_DEBUG, "bus_isa=%d\n",m->bus_isa);
+                      printk(DEBUG, "bus_isa=%d\n",m->bus_isa);
 #endif
 
                }
                else {
-                       printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_bcm5780[0], m->sbdn2+i-1);
+                       printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_bcm5780[0], m->sbdn2+i-1);
                }
        }
 
Index: svn/src/mainboard/msi/ms9185/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9185/irq_tables.c
+++ svn/src/mainboard/msi/ms9185/irq_tables.c
@@ -82,7 +82,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
        pirq = (void *)(addr);
        v = (uint8_t *)(addr);
@@ -119,7 +119,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-       printk(BIOS_INFO, "done.\n");
+       printk(INFO, "done.\n");
 
        return  (unsigned long) pirq_info;
 
Index: svn/src/mainboard/msi/ms9185/mptable.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9185/mptable.c
+++ svn/src/mainboard/msi/ms9185/mptable.c
@@ -192,7 +192,7 @@ static void *smp_write_config_table(void
        /* Compute the checksums */
        mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
        mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-       printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+       printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
                mc, smp_next_mpe_entry(mc));
        return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/msi/ms9185/romstage.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9185/romstage.c
+++ svn/src/mainboard/msi/ms9185/romstage.c
@@ -185,7 +185,7 @@ void cache_as_ram_main(unsigned long bis
        /* Halt if there was a built in self test failure */
        report_bist_failure(bist);
 
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
        setup_ms9185_resource_map();
 #if 0
Index: svn/src/mainboard/msi/ms9282/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9282/get_bus_conf.c
+++ svn/src/mainboard/msi/ms9282/get_bus_conf.c
@@ -131,7 +131,7 @@ void get_bus_conf(void)
                         m->bus_mcp55[1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
+                        printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
                 }
 
                for(i=2; i<8;i++) {
@@ -140,7 +140,7 @@ void get_bus_conf(void)
                                m->bus_mcp55[i] = pci_read_config8(dev, PCI_SECONDARY_BUS);
                        }
                        else {
-                               printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
+                               printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
                        }
                }
 
@@ -153,7 +153,7 @@ void get_bus_conf(void)
                        m->bus_type[j] = 1;
                if(m->bus_isa <= busn_max)
                        m->bus_isa = busn_max + 1;
-               printk(BIOS_DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
+               printk(DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
        }
 
 
Index: svn/src/mainboard/msi/ms9282/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9282/irq_tables.c
+++ svn/src/mainboard/msi/ms9282/irq_tables.c
@@ -79,7 +79,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
        pirq = (void *)(addr);
        v = (uint8_t *)(addr);
@@ -125,7 +125,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-       printk(BIOS_INFO, "done.\n");
+       printk(INFO, "done.\n");
 
        return  (unsigned long) pirq_info;
 
Index: svn/src/mainboard/msi/ms9282/mptable.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9282/mptable.c
+++ svn/src/mainboard/msi/ms9282/mptable.c
@@ -160,7 +160,7 @@ static void *smp_write_config_table(void
        /* Compute the checksums */
        mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
        mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-       printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+       printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
                mc, smp_next_mpe_entry(mc));
        return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/msi/ms9652_fam10/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9652_fam10/acpi_tables.c
+++ svn/src/mainboard/msi/ms9652_fam10/acpi_tables.c
@@ -123,7 +123,7 @@ unsigned long write_acpi_tables(unsigned
 	start = (start + 0x0f) & -0x10;
 	current = start;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx...\n", start);
 
 	/* We need at least an RSDP and an RSDT table. */
 	rsdp = (acpi_rsdp_t *) current;
@@ -138,7 +138,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_write_rsdt(rsdt);
 
 	/* We explicitly add these tables later on: */
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 
 	/* we should align FACS to 64B as per ACPI specs */
 	current = ALIGN(current, 64);
@@ -151,9 +151,9 @@ unsigned long write_acpi_tables(unsigned
 	memcpy((void *) dsdt, &AmlCode, AmlCode.length);
 	dsdt->checksum = 0;	/* Don't trust iasl to get this right. */
 	dsdt->checksum = acpi_checksum(dsdt, dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
 		     dsdt->length);
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * FADT\n");
 
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
@@ -161,46 +161,46 @@ unsigned long write_acpi_tables(unsigned
 	acpi_create_fadt(fadt, facs, dsdt);
 	acpi_add_table(rsdp, fadt);
 
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
 	acpi_create_hpet(hpet);
 	acpi_add_table(rsdp, hpet);
 
 	/* If we want to use HPET timers Linux wants an MADT. */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
 	current += madt->header.length;
 	acpi_add_table(rsdp, madt);
 
-	printk(BIOS_DEBUG, "ACPI:    * MCFG\n");
+	printk(DEBUG, "ACPI:    * MCFG\n");
 	mcfg = (acpi_mcfg_t *) current;
 	acpi_create_mcfg(mcfg);
 	current += mcfg->header.length;
 	acpi_add_table(rsdp, mcfg);
 
-	printk(BIOS_DEBUG, "ACPI:    * SRAT\n");
+	printk(DEBUG, "ACPI:    * SRAT\n");
 	srat = (acpi_srat_t *) current;
 	acpi_create_srat(srat);
 	current += srat->header.length;
 	acpi_add_table(rsdp, srat);
 
 	/* SLIT */
-	printk(BIOS_DEBUG, "ACPI:    * SLIT\n");
+	printk(DEBUG, "ACPI:    * SLIT\n");
 	slit = (acpi_slit_t *) current;
 	acpi_create_slit(slit);
 	current+=slit->header.length;
 	acpi_add_table(rsdp, slit);
 
 	/* SSDT */
-	printk(BIOS_DEBUG, "ACPI:    * SSDT\n");
+	printk(DEBUG, "ACPI:    * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 
 	acpi_create_ssdt_generator(ssdt, "DYNADATA");
 	current += ssdt->length;
 	acpi_add_table(rsdp, ssdt);
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 	return current;
 }
Index: svn/src/mainboard/msi/ms9652_fam10/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9652_fam10/get_bus_conf.c
+++ svn/src/mainboard/msi/ms9652_fam10/get_bus_conf.c
@@ -74,7 +74,7 @@ void get_bus_conf(void)
 	device_t dev;
 	int i, j;
 
-	printk(BIOS_SPEW, "get_bus_conf()\n");
+	printk(SPEW, "get_bus_conf()\n");
 
 	if(get_bus_conf_done==1) return; //do it only once
 
@@ -103,7 +103,7 @@ void get_bus_conf(void)
 			m->bus_mcp55[1] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
+			printk(DEBUG, "ERROR - could not find PCI 1:%02x.0, using defaults\n", sysconf.sbdn + 0x06);
 		}
 
 		for(i=2; i<8;i++) {
@@ -112,7 +112,7 @@ void get_bus_conf(void)
 				m->bus_mcp55[i] = pci_read_config8(dev, PCI_SECONDARY_BUS);
 			}
 			else {
-				printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
+				printk(DEBUG, "ERROR - could not find PCI %02x:%02x.0, using defaults\n", m->bus_mcp55[0], sysconf.sbdn + 0x0a + i - 2 );
 			}
 		}
 
@@ -125,16 +125,16 @@ void get_bus_conf(void)
 			m->bus_type[j] = 1;
 		if(m->bus_isa <= busn_max)
 			m->bus_isa = busn_max + 1;
-		printk(BIOS_DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
+		printk(DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn, busn_max, m->bus_isa);
 	}
 
 /*I/O APICs:	APIC ID	Version	State		Address*/
 #if CONFIG_LOGICAL_CPUS==1
 	apicid_base = get_apicid_base(1);
-	printk(BIOS_SPEW, "CONFIG_LOGICAL_CPUS==1: apicid_base: %08x\n", apicid_base);
+	printk(SPEW, "CONFIG_LOGICAL_CPUS==1: apicid_base: %08x\n", apicid_base);
 #else
 	apicid_base = CONFIG_MAX_PHYSICAL_CPUS;
-	printk(BIOS_SPEW, "CONFIG_LOGICAL_CPUS==0: apicid_base: %08x\n", apicid_base);
+	printk(SPEW, "CONFIG_LOGICAL_CPUS==0: apicid_base: %08x\n", apicid_base);
 #endif
 	m->apicid_mcp55 = apicid_base+0;
 }
Index: svn/src/mainboard/msi/ms9652_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9652_fam10/irq_tables.c
+++ svn/src/mainboard/msi/ms9652_fam10/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -131,7 +131,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/msi/ms9652_fam10/mptable.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9652_fam10/mptable.c
+++ svn/src/mainboard/msi/ms9652_fam10/mptable.c
@@ -149,7 +149,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/msi/ms9652_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9652_fam10/romstage.c
+++ svn/src/mainboard/msi/ms9652_fam10/romstage.c
@@ -191,7 +191,7 @@ void cache_as_ram_main(unsigned long bis
 	w83627ehg_enable_serial(SERIAL_DEV, CONFIG_TTYS0_BASE);
 	uart_init();
 	console_init();
-	printk(BIOS_DEBUG, "\n");
+	printk(DEBUG, "\n");
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
@@ -202,10 +202,10 @@ void cache_as_ram_main(unsigned long bis
 #endif
 
 	val = cpuid_eax(1);
-	printk(BIOS_DEBUG, "BSP Family_Model: %08x\n", val);
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
-	printk(BIOS_DEBUG, "bsp_apicid = %02x\n", bsp_apicid);
-	printk(BIOS_DEBUG, "cpu_init_detectedx = %08lx\n", cpu_init_detectedx);
+	printk(DEBUG, "BSP Family_Model: %08x\n", val);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "bsp_apicid = %02x\n", bsp_apicid);
+	printk(DEBUG, "cpu_init_detectedx = %08lx\n", cpu_init_detectedx);
 
 	/* Setup sysinfo defaults */
 	set_sysinfo_in_ram(0);
@@ -221,12 +221,12 @@ void cache_as_ram_main(unsigned long bis
 
 	/* Setup nodes PCI space and start core 0 AP init. */
 	finalize_node_setup(sysinfo);
-	printk(BIOS_DEBUG, "finalize_node_setup done\n");
+	printk(DEBUG, "finalize_node_setup done\n");
 
 	/* Setup any mainboard PCI settings etc. */
-	printk(BIOS_DEBUG, "setup_mb_resource_map begin\n");
+	printk(DEBUG, "setup_mb_resource_map begin\n");
 	setup_mb_resource_map();
-	printk(BIOS_DEBUG, "setup_mb_resource_map end\n");
+	printk(DEBUG, "setup_mb_resource_map end\n");
 	post_code(0x36);
 
 	/* wait for all the APs core0 started by finalize_node_setup. */
@@ -239,10 +239,10 @@ void cache_as_ram_main(unsigned long bis
 
 #if CONFIG_LOGICAL_CPUS==1
 	/* Core0 on each node is configured. Now setup any additional cores. */
-	printk(BIOS_DEBUG, "start_other_cores()\n");
+	printk(DEBUG, "start_other_cores()\n");
 	start_other_cores();
 	post_code(0x37);
-	printk(BIOS_DEBUG, "wait_all_other_cores_started()\n");
+	printk(DEBUG, "wait_all_other_cores_started()\n");
 	wait_all_other_cores_started(bsp_apicid);
 #endif
 
@@ -250,7 +250,7 @@ void cache_as_ram_main(unsigned long bis
 
 #if FAM10_SET_FIDVID == 1
 	msr = rdmsr(0xc0010071);
-	printk(BIOS_DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x\n", msr.hi, msr.lo);
+	printk(DEBUG, "\nBegin FIDVID MSR 0xc0010071 0x%08x 0x%08x\n", msr.hi, msr.lo);
 
 	/* FIXME: The sb fid change may survive the warm reset and only
 	 * need to be done once.*/
@@ -268,7 +268,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* show final fid and vid */
 	msr=rdmsr(0xc0010071);
-	printk(BIOS_DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x\n", msr.hi, msr.lo);
+	printk(DEBUG, "End FIDVIDMSR 0xc0010071 0x%08x 0x%08x\n", msr.hi, msr.lo);
 #endif
 
 	wants_reset = mcp55_early_setup_x();
@@ -281,27 +281,27 @@ void cache_as_ram_main(unsigned long bis
 	}
 
 	if (wants_reset)
-		printk(BIOS_DEBUG, "mcp55_early_setup_x wanted additional reset!\n");
+		printk(DEBUG, "mcp55_early_setup_x wanted additional reset!\n");
 
 	post_code(0x3B);
 
 	/* It's the time to set ctrl in sysinfo now; */
-	printk(BIOS_DEBUG, "fill_mem_ctrl()\n");
+	printk(DEBUG, "fill_mem_ctrl()\n");
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	post_code(0x3D);
 
-	printk(BIOS_DEBUG, "enable_smbus()\n");
+	printk(DEBUG, "enable_smbus()\n");
 	enable_smbus();
 	post_code(0x3E);
 
 	memreset_setup();
 	post_code(0x40);
 
-	printk(BIOS_DEBUG, "raminit_amdmct()\n");
+	printk(DEBUG, "raminit_amdmct()\n");
 	raminit_amdmct(sysinfo);
 	post_code(0x41);
 
-	printk(BIOS_DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
+	printk(DEBUG, "\n*** Yes, the copy/decompress is taking a while, FIXME!\n");
 	post_cache_as_ram();	// BSP switch stack to ram, copy then execute LB.
 	post_code(0x43);	// Should never see this post code.
 }
Index: svn/src/mainboard/newisys/khepri/mptable.c
===================================================================
--- svn.orig/src/mainboard/newisys/khepri/mptable.c
+++ svn/src/mainboard/newisys/khepri/mptable.c
@@ -46,7 +46,7 @@ static void *smp_write_config_table(void
 			bus_isa++;
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 
 			bus_8111_1 = 4;
 			bus_isa = 5;
@@ -58,7 +58,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 
 			bus_8131_1 = 2;
 		}
@@ -69,7 +69,7 @@ static void *smp_write_config_table(void
 
 		}
 		else {
-			printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+			printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
 			bus_8131_2 = 3;
 		}
@@ -219,7 +219,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/nvidia/l1_2pvv/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/nvidia/l1_2pvv/get_bus_conf.c
+++ svn/src/mainboard/nvidia/l1_2pvv/get_bus_conf.c
@@ -137,7 +137,7 @@ void get_bus_conf(void)
 			m->bus_type[j] = 1;
 		if(m->bus_isa <= busn_max)
 			m->bus_isa = busn_max + 1;
-		printk(BIOS_DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn_min, busn_max, m->bus_isa);
+		printk(DEBUG, "i=%d bus range: [%x, %x] bus_isa=%x\n",i, busn_min, busn_max, m->bus_isa);
 	}
 
 		/* MCP55b */
Index: svn/src/mainboard/nvidia/l1_2pvv/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/nvidia/l1_2pvv/irq_tables.c
+++ svn/src/mainboard/nvidia/l1_2pvv/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+	printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -122,7 +122,7 @@ unsigned long write_pirq_routing_table(u
 		pirq->checksum = sum;
 	}
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/nvidia/l1_2pvv/mptable.c
===================================================================
--- svn.orig/src/mainboard/nvidia/l1_2pvv/mptable.c
+++ svn/src/mainboard/nvidia/l1_2pvv/mptable.c
@@ -207,7 +207,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/nvidia/l1_2pvv/romstage.c
===================================================================
--- svn.orig/src/mainboard/nvidia/l1_2pvv/romstage.c
+++ svn/src/mainboard/nvidia/l1_2pvv/romstage.c
@@ -213,7 +213,7 @@ void cache_as_ram_main(unsigned long bis
 	early_usbdebug_direct_init();
 #endif
 	console_init();
-	printk(BIOS_DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
+	printk(DEBUG, "*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
 	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\n");
 
Index: svn/src/mainboard/olpc/btest/mainboard.c
===================================================================
--- svn.orig/src/mainboard/olpc/btest/mainboard.c
+++ svn/src/mainboard/olpc/btest/mainboard.c
@@ -49,22 +49,22 @@ static void init_dcon(void) {
   unsigned short rev = 0;
   unsigned short iobase = _getsmbusbase();
 
-  printk(BIOS_DEBUG, "CHECKING FOR DCON (%x)\n", iobase);
+  printk(DEBUG, "CHECKING FOR DCON (%x)\n", iobase);
 
   /* Get the IO base for the SMBUS */
 
   rev = do_smbus_read_word(iobase, 0x0D << 1, 0x00);
 
   if (rev & 0xDC00) {
-	printk(BIOS_DEBUG, "DCON FOUND - REV %x\n", rev);
+	printk(DEBUG, "DCON FOUND - REV %x\n", rev);
 
 	/* Enable the DCON */
 	ret = do_smbus_write_word(iobase, 0x0D << 1, 0x01, 0x0069);
 	if (ret != 0)
-		printk(BIOS_DEBUG, "DCON ENABLE FAILED %d\n", ret);
+		printk(DEBUG, "DCON ENABLE FAILED %d\n", ret);
   }
   else
-	  printk(BIOS_DEBUG, "DCON NOT FOUND (%x)\n", rev);
+	  printk(DEBUG, "DCON NOT FOUND (%x)\n", rev);
 
   write_bit(rev > 0 ? 1 : 0);
 }
@@ -104,18 +104,18 @@ static void init(struct device *dev) {
 	unsigned char usbirq = 0xa;
 */
 
-	printk(BIOS_DEBUG, "OLPC BTEST ENTER %s\n", __func__);
+	printk(DEBUG, "OLPC BTEST ENTER %s\n", __func__);
 
 #if 0
 	/* I can't think of any reason NOT to just set this. If it turns out we want this to be
 	  * conditional we can make it a config variable later.
 	  */
 
-	printk(BIOS_DEBUG, "%s (%x,%x)SET USB PCI interrupt line to %d\n", 
+	printk(DEBUG, "%s (%x,%x)SET USB PCI interrupt line to %d\n",
 		__func__, bus, devfn, usbirq);
 	usb = dev_find_slot(bus, devfn);
 	if (! usb){
-		printk(BIOS_ERR, "Could not find USB\n");
+		printk(ERROR, "Could not find USB\n");
 	} else {
 		pci_write_config8(usb, PCI_INTERRUPT_LINE, usbirq);
 	}
@@ -123,7 +123,7 @@ static void init(struct device *dev) {
 
 	init_dcon();
 	init_cafe_irq();
-	printk(BIOS_DEBUG, "OLPC BTEST EXIT %s\n", __func__);
+	printk(DEBUG, "OLPC BTEST EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/mainboard/olpc/rev_a/mainboard.c
===================================================================
--- svn.orig/src/mainboard/olpc/rev_a/mainboard.c
+++ svn/src/mainboard/olpc/rev_a/mainboard.c
@@ -48,22 +48,22 @@ static void init_dcon(void) {
   unsigned short rev = 0;
   unsigned short iobase = _getsmbusbase();
 
-  printk(BIOS_DEBUG, "CHECKING FOR DCON (%x)\n", iobase);
+  printk(DEBUG, "CHECKING FOR DCON (%x)\n", iobase);
 
   /* Get the IO base for the SMBUS */
 
   rev = do_smbus_read_word(iobase, 0x0D << 1, 0x00);
 
   if (rev & 0xDC00) {
-	printk(BIOS_DEBUG, "DCON FOUND - REV %x\n", rev);
+	printk(DEBUG, "DCON FOUND - REV %x\n", rev);
 
 	/* Enable the DCON */
 	ret = do_smbus_write_word(iobase, 0x0D << 1, 0x01, 0x0069);
 	if (ret != 0)
-		printk(BIOS_DEBUG, "DCON ENABLE FAILED %d\n", ret);
+		printk(DEBUG, "DCON ENABLE FAILED %d\n", ret);
   }
   else
-	  printk(BIOS_DEBUG, "DCON NOT FOUND (%x)\n", rev);
+	  printk(DEBUG, "DCON NOT FOUND (%x)\n", rev);
 
   write_bit(rev > 0 ? 1 : 0);
 }
@@ -76,25 +76,25 @@ static void init(struct device *dev) {
 	unsigned char usbirq = 0xa;
 */
 
-	printk(BIOS_DEBUG, "OLPC REVA ENTER %s\n", __func__);
+	printk(DEBUG, "OLPC REVA ENTER %s\n", __func__);
 
 #if 0
 	/* I can't think of any reason NOT to just set this. If it turns out we want this to be
 	  * conditional we can make it a config variable later.
 	  */
 
-	printk(BIOS_DEBUG, "%s (%x,%x)SET USB PCI interrupt line to %d\n", 
+	printk(DEBUG, "%s (%x,%x)SET USB PCI interrupt line to %d\n",
 		__func__, bus, devfn, usbirq);
 	usb = dev_find_slot(bus, devfn);
 	if (! usb){
-		printk(BIOS_ERR, "Could not find USB\n");
+		printk(ERROR, "Could not find USB\n");
 	} else {
 		pci_write_config8(usb, PCI_INTERRUPT_LINE, usbirq);
 	}
 #endif
 
 	init_dcon();
-	printk(BIOS_DEBUG, "OLPC REVA EXIT %s\n", __func__);
+	printk(DEBUG, "OLPC REVA EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/mainboard/pcengines/alix1c/mainboard.c
===================================================================
--- svn.orig/src/mainboard/pcengines/alix1c/mainboard.c
+++ svn/src/mainboard/pcengines/alix1c/mainboard.c
@@ -23,8 +23,8 @@
 
 static void init(struct device *dev)
 {
-	printk(BIOS_DEBUG, "ALIX1.C ENTER %s\n", __func__);
-	printk(BIOS_DEBUG, "ALIX1.C EXIT %s\n", __func__);
+	printk(DEBUG, "ALIX1.C ENTER %s\n", __func__);
+	printk(DEBUG, "ALIX1.C EXIT %s\n", __func__);
 }
 
 static void enable_dev(struct device *dev)
Index: svn/src/mainboard/rca/rm4100/mainboard_smi.c
===================================================================
--- svn.orig/src/mainboard/rca/rm4100/mainboard_smi.c
+++ svn/src/mainboard/rca/rm4100/mainboard_smi.c
@@ -26,6 +26,6 @@
 
 int mainboard_io_trap_handler(int smif)
 {
-	printk(BIOS_DEBUG, "MAINBOARD IO TRAP HANDLER!\n");
+	printk(DEBUG, "MAINBOARD IO TRAP HANDLER!\n");
 	return 1;
 }
Index: svn/src/mainboard/roda/rk886ex/acpi_tables.c
===================================================================
--- svn.orig/src/mainboard/roda/rk886ex/acpi_tables.c
+++ svn/src/mainboard/roda/rk886ex/acpi_tables.c
@@ -219,7 +219,7 @@ unsigned long write_acpi_tables(unsigned
 	/* Align ACPI tables to 16byte */
 	ALIGN_CURRENT;
 
-	printk(BIOS_INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
+	printk(INFO, "ACPI: Writing ACPI tables at %lx.\n", start);
 
 	/* We need at least an RSDP and an RSDT Table */
 	rsdp = (acpi_rsdp_t *) current;
@@ -242,7 +242,7 @@ unsigned long write_acpi_tables(unsigned
 	/*
 	 * We explicitly add these tables later on:
 	 */
-	printk(BIOS_DEBUG, "ACPI:    * HPET\n");
+	printk(DEBUG, "ACPI:    * HPET\n");
 
 	hpet = (acpi_hpet_t *) current;
 	current += sizeof(acpi_hpet_t);
@@ -251,7 +251,7 @@ unsigned long write_acpi_tables(unsigned
 	acpi_add_table(rsdp, hpet);
 
 	/* If we want to use HPET Timers Linux wants an MADT */
-	printk(BIOS_DEBUG, "ACPI:    * MADT\n");
+	printk(DEBUG, "ACPI:    * MADT\n");
 
 	madt = (acpi_madt_t *) current;
 	acpi_create_madt(madt);
@@ -259,14 +259,14 @@ unsigned long write_acpi_tables(unsigned
 	ALIGN_CURRENT;
 	acpi_add_table(rsdp, madt);
 
-	printk(BIOS_DEBUG, "ACPI:    * MCFG\n");
+	printk(DEBUG, "ACPI:    * MCFG\n");
 	mcfg = (acpi_mcfg_t *) current;
 	acpi_create_mcfg(mcfg);
 	current += mcfg->header.length;
 	ALIGN_CURRENT;
 	acpi_add_table(rsdp, mcfg);
 
-	printk(BIOS_DEBUG, "ACPI:     * FACS\n");
+	printk(DEBUG, "ACPI:     * FACS\n");
 	facs = (acpi_facs_t *) current;
 	current += sizeof(acpi_facs_t);
 	ALIGN_CURRENT;
@@ -302,7 +302,7 @@ unsigned long write_acpi_tables(unsigned
 	/* Pack GNVS into the ACPI table area */
 	for (i=0; i < dsdt->length; i++) {
 		if (*(u32*)(((u32)dsdt) + i) == 0xC0DEBABE) {
-			printk(BIOS_DEBUG, "ACPI: Patching up global NVS in DSDT at offset 0x%04x -> 0x%08x\n", i, (u32)current);
+			printk(DEBUG, "ACPI: Patching up global NVS in DSDT at offset 0x%04x -> 0x%08x\n", i, (u32)current);
 			*(u32*)(((u32)dsdt) + i) = current; // 0x92 bytes
 			break;
 		}
@@ -324,18 +324,18 @@ unsigned long write_acpi_tables(unsigned
 	dsdt->checksum = 0;
 	dsdt->checksum = acpi_checksum((void *)dsdt, dsdt->length);
 
-	printk(BIOS_DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
+	printk(DEBUG, "ACPI:     * DSDT @ %p Length %x\n", dsdt,
 		     dsdt->length);
 
 #if CONFIG_HAVE_ACPI_SLIC
-	printk(BIOS_DEBUG, "ACPI:     * SLIC\n");
+	printk(DEBUG, "ACPI:     * SLIC\n");
 	slic = (acpi_header_t *)current;
 	current += acpi_create_slic(current);
 	ALIGN_CURRENT;
 	acpi_add_table(rsdp, slic);
 #endif
 
-	printk(BIOS_DEBUG, "ACPI:     * FADT\n");
+	printk(DEBUG, "ACPI:     * FADT\n");
 	fadt = (acpi_fadt_t *) current;
 	current += sizeof(acpi_fadt_t);
 	ALIGN_CURRENT;
@@ -343,16 +343,16 @@ unsigned long write_acpi_tables(unsigned
 	acpi_create_fadt(fadt, facs, dsdt);
 	acpi_add_table(rsdp, fadt);
 
-	printk(BIOS_DEBUG, "ACPI:     * SSDT\n");
+	printk(DEBUG, "ACPI:     * SSDT\n");
 	ssdt = (acpi_header_t *)current;
 	acpi_create_ssdt_generator(ssdt, "COREBOOT");
 	current += ssdt->length;
 	acpi_add_table(rsdp, ssdt);
 	ALIGN_CURRENT;
 
-	printk(BIOS_DEBUG, "current = %lx\n", current);
+	printk(DEBUG, "current = %lx\n", current);
 
-	printk(BIOS_DEBUG, "ACPI:     * DMI (Linux workaround)\n");
+	printk(DEBUG, "ACPI:     * DMI (Linux workaround)\n");
 	memcpy((void *)0xfff80, dmi_table, DMI_TABLE_SIZE);
 #if CONFIG_WRITE_HIGH_TABLES == 1
 	memcpy((void *)current, dmi_table, DMI_TABLE_SIZE);
@@ -360,10 +360,10 @@ unsigned long write_acpi_tables(unsigned
 	ALIGN_CURRENT;
 #endif
 
-	printk(BIOS_INFO, "ACPI: done.\n");
+	printk(INFO, "ACPI: done.\n");
 
 	/* Enable Dummy DCC ON# for DVI */
-	printk(BIOS_DEBUG, "Laptop handling...\n");
+	printk(DEBUG, "Laptop handling...\n");
 	outb(inb(0x60f) & ~(1 << 5), 0x60f);
 
 	return current;
Index: svn/src/mainboard/roda/rk886ex/ec.c
===================================================================
--- svn.orig/src/mainboard/roda/rk886ex/ec.c
+++ svn/src/mainboard/roda/rk886ex/ec.c
@@ -32,10 +32,10 @@ int send_ec_command(u8 command)
 	while ((inb(EC_SC) & EC_IBF) && --timeout) {
 		udelay(10);
 		if ((timeout & 0xff) == 0)
-			printk(BIOS_SPEW, ".");
+			printk(SPEW, ".");
 	}
 	if (!timeout) {
-		printk(BIOS_DEBUG, "Timeout while sending command 0x%02x to EC!\n", 
+		printk(DEBUG, "Timeout while sending command 0x%02x to EC!\n",
 				command);
 		// return -1;
 	}
@@ -52,10 +52,10 @@ int send_ec_data(u8 data)
 	while ((inb(EC_SC) & EC_IBF) && --timeout) { // wait for IBF = 0
 		udelay(10);
 		if ((timeout & 0xff) == 0)
-			printk(BIOS_SPEW, ".");
+			printk(SPEW, ".");
 	}
 	if (!timeout) {
-		printk(BIOS_DEBUG, "Timeout while sending data 0x%02x to EC!\n",
+		printk(DEBUG, "Timeout while sending data 0x%02x to EC!\n",
 				data);
 		// return -1;
 	}
@@ -84,15 +84,15 @@ u8 recv_ec_data(void)
 		}
 		udelay(10);
 		if ((timeout & 0xff) == 0)
-			printk(BIOS_SPEW, ".");
+			printk(SPEW, ".");
 	}
 	if (!timeout) {
-		printk(BIOS_DEBUG, "\nTimeout while receiving data from EC!\n");
+		printk(DEBUG, "\nTimeout while receiving data from EC!\n");
 		// return -1;
 	}
 
 	data = inb(EC_DATA);
-	printk(BIOS_DEBUG, "recv_ec_data: 0x%02x\n", data);
+	printk(DEBUG, "recv_ec_data: 0x%02x\n", data);
 
 	return data;
 }
